be.ehealth.businessconnector.vsbnet.async.mohm.session

## Interface VsbNetMohmService

- All Superinterfaces:
    CommonAsyncService
  All Known Implementing Classes:
    VsbNetMohmServiceImpl

      public interface VsbNetMohmService
      extends CommonAsyncService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProcessedPostResponse` | `cancelApplication(EMOHMDF111CancelApplicationRequest request, InputReference inputReference)` post a CancelApplication request ( Message Name : VL_MOHM_CNCL_APPLIC_REQ )
    `ProcessedPostResponse` | `consultApplication(EMOHMDF103ConsultapplicationRequest request, InputReference inputReference)` post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ )
    `ProcessedPostResponse` | `consultApplicationV4(EMOHMDF103ConsultApplicationRequest request, InputReference inputReference)` post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ_V4 )
    `ProcessedPostResponse` | `consultHistory(EMOHMDF102ConsultHistoryRequest request, InputReference inputReference)` post a ConsultHistory request ( Message Name : VL_MOHM_CONSULT_HIST_REQ )
    `ProcessedPostResponse` | `consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference)` post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ )
    `ProcessedPostResponse` | `consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference)` post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ )
    `ProcessedPostResponse` | `consultSupportAndRepairListV2(EMOHMDF112ConsultSupportAndRepairListRequest request, InputReference inputReference)` post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ_V2 )
    `ProcessedPostResponse` | `consultSupportAndRepairV4(EMOHMDF104ConsultSupportAndRepairRequest request, InputReference inputReference)` post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ_V4 )
    `ProcessedPostResponse` | `createApplication(EMOHMDF101CreateApplicationRequest request, InputReference inputReference)` post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ )
    `ProcessedPostResponse` | `createApplicationV3(EMOHMDF101CreateApplicationRequest request, InputReference inputReference)` post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ_V3 )
    `ProcessedPostResponse` | `createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request, InputReference inputReference)` post a CreateFictionalApplication request ( Message Name : VL_MOHM_FIC_APPLIC_REQ )
    `ProcessedGetResponse<EMOHMDF111CancelApplicationResponse>` | `getCancelApplication(GetRequest request)` get the CancelApplication response ( Message Name : VL_MOHM_CNCL_APPLIC_RESP )
    `ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse>` | `getConsultApplication(GetRequest request)` get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP )
    `ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse>` | `getConsultApplicationV4(GetRequest request)` get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP_V4 )
    `ProcessedGetResponse<EMOHMDF102ConsultHistoryResponse>` | `getConsultHistory(GetRequest request)` get the ConsultHistory response ( Message Name : VL_MOHM_CONSULT_HIST_RESP )
    `ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse>` | `getConsultSupportAndRepair(GetRequest request)` get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP )
    `ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse>` | `getConsultSupportAndRepairList(GetRequest request)` get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP )
    `ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse>` | `getConsultSupportAndRepairListV2(GetRequest request)` get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP_V2 )
    `ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse>` | `getConsultSupportAndRepairV4(GetRequest request)` get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP_V4 )
    `ProcessedGetResponse<EMOHMDF101CreateApplicationResponse>` | `getCreateApplication(GetRequest request)` get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP )
    `ProcessedGetResponse<EMOHMDF101CreateApplicationResponse>` | `getCreateApplicationV3(GetRequest request)` get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP_V3 )
    `ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse>` | `getCreateFictionalApplication(GetRequest request)` get the CreateFictionalApplication response ( Message Name : VL_MOHM_FIC_APPLIC_RESP )
    `ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest>` | `getPushApplicationView(GetRequest request)` get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW )
    `ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest>` | `getPushApplicationViewV4(GetRequest request)` get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW_V4 )
    `ProcessedGetResponse<EMOHMDF106PushDecisionRequest>` | `getPushDecision(GetRequest request)` get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC )
    `ProcessedGetResponse<EMOHMDF106PushDecisionRequest>` | `getPushDecisionV4(GetRequest request)` get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC_V4 )
    `ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse>` | `getReportDelivery(GetRequest request)` get the ReportDelivery response ( Message Name : VL_MOHM_REP_DELIV_RESP )
    `ProcessedPostResponse` | `reportDelivery(EMOHMDF105ReportDeliveryRequest request, InputReference inputReference)` post a ReportDelivery request ( Message Name : VL_MOHM_REP_DELIV_REQ )

    - ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

      `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- - ### Method Detail

    - #### createApplication

          ProcessedPostResponse createApplication(EMOHMDF101CreateApplicationRequest request,
                                                  InputReference inputReference)
                                           throws ConnectorException

      post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ )
      Parameters:
        `request` - df101 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getCreateApplication

          ProcessedGetResponse<EMOHMDF101CreateApplicationResponse> getCreateApplication(GetRequest request)
                                                                                  throws ConnectorException

      get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df101 response
      Throws:
        `ConnectorException`

    - #### createApplicationV3

          ProcessedPostResponse createApplicationV3(EMOHMDF101CreateApplicationRequest request,
                                                    InputReference inputReference)
                                             throws ConnectorException

      post a CreateApplication request ( Message Name : VL_MOHM_APPLIC_REQ_V3 )
      Parameters:
        `request` - df101 v3 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getCreateApplicationV3

          ProcessedGetResponse<EMOHMDF101CreateApplicationResponse> getCreateApplicationV3(GetRequest request)
                                                                                    throws ConnectorException

      get the CreateApplication response ( Message Name : VL_MOHM_APPLIC_RESP_V3 )
      Parameters:
        `request` - a Get Request
      Returns:
        df101 v3 response
      Throws:
        `ConnectorException`

    - #### createFictionalApplication

          ProcessedPostResponse createFictionalApplication(EMOHMDF102CreateFictionalApplicationRequest request,
                                                           InputReference inputReference)
                                                    throws ConnectorException

      post a CreateFictionalApplication request ( Message Name : VL_MOHM_FIC_APPLIC_REQ )
      Parameters:
        `request` - df102 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getCreateFictionalApplication

          ProcessedGetResponse<EMOHMDF102CreateFictionalApplicationResponse> getCreateFictionalApplication(GetRequest request)
                                                                                                    throws ConnectorException

      get the CreateFictionalApplication response ( Message Name : VL_MOHM_FIC_APPLIC_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df102 response
      Throws:
        `ConnectorException`

    - #### consultHistory

          ProcessedPostResponse consultHistory(EMOHMDF102ConsultHistoryRequest request,
                                               InputReference inputReference)
                                        throws ConnectorException

      post a ConsultHistory request ( Message Name : VL_MOHM_CONSULT_HIST_REQ )
      Parameters:
        `request` - df102 v3 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultHistory

          ProcessedGetResponse<EMOHMDF102ConsultHistoryResponse> getConsultHistory(GetRequest request)
                                                                            throws ConnectorException

      get the ConsultHistory response ( Message Name : VL_MOHM_CONSULT_HIST_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df102 v3 response
      Throws:
        `ConnectorException`

    - #### consultApplication

          ProcessedPostResponse consultApplication(EMOHMDF103ConsultapplicationRequest request,
                                                   InputReference inputReference)
                                            throws ConnectorException

      post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ )
      Parameters:
        `request` - df103 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultApplication

          ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse> getConsultApplication(GetRequest request)
                                                                                    throws ConnectorException

      get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df103 response
      Throws:
        `ConnectorException`

    - #### consultApplicationV4

          ProcessedPostResponse consultApplicationV4(EMOHMDF103ConsultApplicationRequest request,
                                                     InputReference inputReference)
                                              throws ConnectorException

      post a ConsultApplication request ( Message Name : VL_MOHM_CONSULT_REQ_V4 )
      Parameters:
        `request` - df103 v4 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultApplicationV4

          ProcessedGetResponse<EMOHMDF103ConsultApplicationResponse> getConsultApplicationV4(GetRequest request)
                                                                                      throws ConnectorException

      get the ConsultApplication response ( Message Name : VL_MOHM_CONSULT_RESP_V4 )
      Parameters:
        `request` - a Get Request
      Returns:
        df103 v4 response
      Throws:
        `ConnectorException`

    - #### consultSupportAndRepair

          ProcessedPostResponse consultSupportAndRepair(EMOHMDF104ConsultSupportAndRepairRequest request,
                                                        InputReference inputReference)
                                                 throws ConnectorException

      post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ )
      Parameters:
        `request` - df104 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultSupportAndRepair

          ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse> getConsultSupportAndRepair(GetRequest request)
                                                                                              throws ConnectorException

      get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df104 response
      Throws:
        `ConnectorException`

    - #### consultSupportAndRepairV4

          ProcessedPostResponse consultSupportAndRepairV4(EMOHMDF104ConsultSupportAndRepairRequest request,
                                                          InputReference inputReference)
                                                   throws ConnectorException

      post a ConsultSupportAndRepair request ( Message Name : VL_MOHM_SUP_REP_REQ_V4 )
      Parameters:
        `request` - df104 v4 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultSupportAndRepairV4

          ProcessedGetResponse<EMOHMDF104ConsultSupportAndRepairResponse> getConsultSupportAndRepairV4(GetRequest request)
                                                                                                throws ConnectorException

      get the ConsultSupportAndRepair response ( Message Name : VL_MOHM_SUP_REP_RESP_V4 )
      Parameters:
        `request` - a Get Request
      Returns:
        df104 v4 response
      Throws:
        `ConnectorException`

    - #### reportDelivery

          ProcessedPostResponse reportDelivery(EMOHMDF105ReportDeliveryRequest request,
                                               InputReference inputReference)
                                        throws ConnectorException

      post a ReportDelivery request ( Message Name : VL_MOHM_REP_DELIV_REQ )
      Parameters:
        `request` - df105 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getReportDelivery

          ProcessedGetResponse<EMOHMDF105ReportDeliveryResponse> getReportDelivery(GetRequest request)
                                                                            throws ConnectorException

      get the ReportDelivery response ( Message Name : VL_MOHM_REP_DELIV_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df105 response
      Throws:
        `ConnectorException`

    - #### getPushDecision

          ProcessedGetResponse<EMOHMDF106PushDecisionRequest> getPushDecision(GetRequest request)
                                                                       throws ConnectorException

      get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC )
      Parameters:
        `request` - a Get Request
      Returns:
        df106 response
      Throws:
        `ConnectorException`

    - #### getPushDecisionV4

          ProcessedGetResponse<EMOHMDF106PushDecisionRequest> getPushDecisionV4(GetRequest request)
                                                                         throws ConnectorException

      get the PushDecision response ( Message Name : VL_MOHM_PUSH_DESC_V4 )
      Parameters:
        `request` - a Get Request
      Returns:
        df106 v4 response
      Throws:
        `ConnectorException`

    - #### getPushApplicationView

          ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest> getPushApplicationView(GetRequest request)
                                                                                     throws ConnectorException

      get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW )
      Parameters:
        `request` - a Get Request
      Returns:
        df107 response
      Throws:
        `ConnectorException`

    - #### getPushApplicationViewV4

          ProcessedGetResponse<EMOHMDF107PushApplicationViewRequest> getPushApplicationViewV4(GetRequest request)
                                                                                       throws ConnectorException

      get the PushApplicationView response ( Message Name : VL_MOHM_PUSH_APPLIC_VIEW_V4 )
      Parameters:
        `request` - a Get Request
      Returns:
        df107 v4 response
      Throws:
        `ConnectorException`

    - #### cancelApplication

          ProcessedPostResponse cancelApplication(EMOHMDF111CancelApplicationRequest request,
                                                  InputReference inputReference)
                                           throws ConnectorException

      post a CancelApplication request ( Message Name : VL_MOHM_CNCL_APPLIC_REQ )
      Parameters:
        `request` - df111 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getCancelApplication

          ProcessedGetResponse<EMOHMDF111CancelApplicationResponse> getCancelApplication(GetRequest request)
                                                                                  throws ConnectorException

      get the CancelApplication response ( Message Name : VL_MOHM_CNCL_APPLIC_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df111 response
      Throws:
        `ConnectorException`

    - #### consultSupportAndRepairList

          ProcessedPostResponse consultSupportAndRepairList(EMOHMDF112ConsultSupportAndRepairListRequest request,
                                                            InputReference inputReference)
                                                     throws ConnectorException

      post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ )
      Parameters:
        `request` - df112 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultSupportAndRepairList

          ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse> getConsultSupportAndRepairList(GetRequest request)
                                                                                                      throws ConnectorException

      get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP )
      Parameters:
        `request` - a Get Request
      Returns:
        df112 response
      Throws:
        `ConnectorException`

    - #### consultSupportAndRepairListV2

          ProcessedPostResponse consultSupportAndRepairListV2(EMOHMDF112ConsultSupportAndRepairListRequest request,
                                                              InputReference inputReference)
                                                       throws ConnectorException

      post a ConsultSupportAndRepairList request ( Message Name : VL_MOHM_SUP_REP_LIST_REQ_V2 )
      Parameters:
        `request` - df112 v2 request
        `inputReference` -
      Returns:
        tack to confirm
      Throws:
        `ConnectorException`

    - #### getConsultSupportAndRepairListV2

          ProcessedGetResponse<EMOHMDF112ConsultSupportAndRepairListResponse> getConsultSupportAndRepairListV2(GetRequest request)
                                                                                                        throws ConnectorException

      get the ConsultSupportAndRepairList response ( Message Name : VL_MOHM_SUP_REP_LIST_RESP_V2 )
      Parameters:
        `request` - a Get Request
      Returns:
        df112 v2 response
      Throws:
        `ConnectorException`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.